End of Support for WCS V6 Has Been Announced – What Are You Going To Do?

IBM has announced that support for WCS V6.0 will end on April 20, 2017 (http://www-01.ibm.com/support/docview.wss?uid=swg21231672). It’s time for managers and architects to take action if you are still running parts or all of of your website on WCS V6 in order to ensure your site can continue to be supported.

For our technical team, the discontinuation of support is good news as V6 sites have become more and more difficult to maintain. The technical challenges with V6 are becoming very severe and require multiple work-arounds. For example, the application server does not support the latest security protocols prohibiting communication with PayPal or UPS. In order to allow this functionality, we have to route the transactions through another commerce server.

Another issue is the current DB2 version is running out of connections, forcing to restart the database every 3 months or so keep the server from crashing. Finally, the WCS V6 Accelerator does not support IE 10 or IE 11 browsers, so when your business users’ desktops get upgraded, Accelerator stops working unless a work-around is used, which is a hassle for end users.

Helpful hints once you choose to upgrade:

  1. WCS V7 is supported on Windows Server 2003, 2008 and 2012. However, Windows 2003 is no longer supported (https://www.microsoft.com/en-in/server-cloud/products/windows-server-2003/). We recommend Windows Server 2012 Standard Edition for 64-bit kernel support and cost effectiveness
  1. We also recommend WAS 7.0.0.29 or higher, version 7.0 fix pack, IBM HTTP Server 8.5.5, and DB2 EE V9.5.0.4.
  1. Finally, don’t forget about Solr servers if you plan to turn use Solr for your application.

Good luck with your migration. Contact us if you have any questions or need assistance, our team will be happy to help.